{%- from "neutron/map.jinja" import server,gateway with context %}

neutron_pre:
  test.show_notification:
    - text: "Running neutron.upgrade.pre"

{%- set os_content = salt['mine.get']('I@keystone:client:os_client_config:enabled:true', 'keystone_os_client_config', 'compound').values()[0] %}
keystone_os_client_config:
  file.managed:
    - name: /etc/openstack/clouds.yml
    - contents: |
        {{ os_content |yaml(False)|indent(8) }}
    - user: 'root'
    - group: 'root'
    - makedirs: True

{%- if server.enabled %}
  {%- set _data = server %}
  {%- set type = 'server' %}
{%- elif gateway.enabled %}
  {%- set _data = gateway %}
  {%- set type = 'gateway' %}
{%- endif %}

{%- if _data is defined and _data.get('logging', {}).app_name is defined %}
{{ type }}_var_log_{{ _data.logging.app_name }}_log_file:
  file.managed:
    - name: /var/log/{{ _data.logging.app_name }}/neutron.log
    - user: neutron
    - group: neutron
{%- endif %}
